=== debian/changelog ===
golang-github-containerd-otelttrpc (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1111525)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 18 Aug 2025 20:04:42 -0400
