=== debian/control ===
Source: golang-github-containerd-otelttrpc
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-containerd-ttrpc-dev,
               golang-github-stretchr-testify-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
               golang-opentelemetry-otel-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containerd-otelttrpc
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containerd-otelttrpc.git
Homepage: https://github.com/containerd/otelttrpc
XS-Go-Import-Path: github.com/containerd/otelttrpc

Package: golang-github-containerd-otelttrpc-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-containerd-ttrpc-dev,
         golang-github-stretchr-testify-dev,
         golang-google-grpc-dev,
         golang-google-protobuf-dev,
         golang-opentelemetry-otel-dev,
         ${misc:Depends},
Description: OpenTelemetry instrumentation for ttrpc (Go)
 This package provides OpenTelemetry instrumentation middleware for
 ttRPC-based systems. It implements both client-side and server-side tracing
 interceptors that integrate with the containerd project's ttRPC
 implementation (github.com/containerd/ttrpc). The middleware enables
 automatic propagation of distributed tracing context and collection of
 granular performance metrics for ttRPC calls.
 .
 Designed specifically for low-overhead instrumentation in container runtimes,
 it allows operators to trace request flows across containerd components and
 associated container management systems. The generated traces can be exported
 to any OpenTelemetry-compatible backend for observability and analysis.
